System.ServiceModel 4.0.0.0 System.Object System.Collections.Generic.IEnumerable<System.ServiceModel.Channels.MessageHeaderInfo>

A message header contains optional metadata that describe a message encapsulated by the class.

A can have zero or more headers that are used as an extension mechanism to pass information in messages that are application-specific. You can use to add message headers to a message by calling the method.

indigo1 provides a number of predefined message headers:

Header Name

Description

To

Contains the role that the message is targeting.

Action

Provides a description of how the message should be processed.

FaultTo

Contains the address of the node to which faults should be sent.

From

Contains the address of the node that sent the message.

Request

Indicates whether the message is a request.

MessageID

Contains the unique ID of the message.

RelatesTo

Contains the IDs of messages that are related to this message.

ReplyTo

Contains the address of the node to which a reply should be sent for a request.

Represents a collection of message headers for a message. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified collection of message headers.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified message version.

  The SOAP version of the message.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified message version and size.

  The SOAP version of the message.
- Property
  4.0.0.0
  System.String To be added.

  This property corresponds to the <Action> element described in the WS-Addressing specification.

  Gets or sets a description of how the message should be processed.

- Method
  4.0.0.0
  System.Void `` To be added.

  Adds the specified message header to the collection.

  A message header to be added to the collection.
- Method
  4.0.0.0
  System.Void To be added.

  Removes all the headers from the collection.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Copies the header content located at the specified index from the specified message to this instance.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Copies the header content located at the specified index from the specified message header collection to this instance.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Copies the content of all the headers from the specified message to this instance.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Copies the content from the specified header collection to this instance.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Copies the headers from this collection to an array, starting at a particular index of the array.

  The zero-based index in the array at which copying begins.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of message headers in this collection.

- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added.

  This property corresponds to the <FaultTo> element described in the WS-Addressing specification.

  Gets or sets the address of the node to which faults should be sent.

- Method
  4.0.0.0
  System.Int32 `` `` To be added.

  Finds a message header in this collection by the specified LocalName and namespace URI of the header element.

  The index of the message header in this collection if found or -1 if the header specified does not exist.

  The LocalName of the header XML element. The namespace URI of the header XML element.
- Method
  4.0.0.0
  System.Int32 `` `` `System.ParamArray` To be added.

  Finds a message header in this collection by the specified LocalName, namespace URI and actors of the header element.

  The index of the message header in this collection if found, or -1 if the header specified does not exist.

  The LocalName of the header XML element. The namespace URI of the header XML element. The targeted recipient of the message header.
- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added.

  This property corresponds to the <From> element described in the WS-Addressing specification.

  Gets or sets the address of the node that sent the message.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.ServiceModel.Channels.MessageHeaderInfo> To be added.

  Returns an enumerator for iterating through the collection. This method cannot be inherited.

  An object that can be used to iterate through the collection.

- Method
  4.0.0.0
  T ``

  This method only uses the . It does not try to detect from the type whether it should use the or DataContractSerializer. To use the XML serializer, call or obtain the reader at the contents and call directly into the serializer.

  Retrieves a message header at a specific position in this collection.

  A message header at the specified index.

  The zero-based index of the header to get. The type of the message header.
- Method
  4.0.0.0
  T `` `` To be added.

  Retrieves a message header at a specific position in this collection.

  A message header at the specified index.

  The zero-based index of the header to get. An that is used to serialize the header. The type of the message header.
- Method
  4.0.0.0
  T `` ``

  This method only uses the . It does not try to detect from the type whether it should use the or the DataContractSerializer. To use the XML serializer, call or obtain the reader at the contents and call directly into the serializer.

  Finds a message header in this collection by the specified LocalName and namespace URI of the header element.

  A message header with the specified name.

  The LocalName of the header XML element. The namespace URI of the header XML element. The type of the message header.
- Method
  4.0.0.0
  T `` `` `` To be added.

  Retrieves a message header in this collection by the specified LocalName, namespace URI and serializer.

  A message header with the specified name.

  The LocalName of the header XML element. The namespace URI of the header XML element. An that is used to serialize the header. The type of the message header.
- Method
  4.0.0.0
  T `` `` `System.ParamArray`

  This method only uses the . It does not try to detect from the type whether it should use the or DataContractSerializer. To use the XML serializer, call or obtain the reader at the contents and call directly into the serializer.

  Retrieves a message header in this collection by the specified LocalName, namespace URI and actors of the header element.

  A message header with the specified name.

  The LocalName of the header XML element. The namespace URI of the header XML element. The targeted recipient of the message header. The type of the message header.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` To be added. To be added.

  Gets a XML dictionary reader that consumes the message header at the specified location of the collection.

  An object that consumes the message header at the specified location of the collection.

- Method
  4.0.0.0
  System.Boolean

  If the message receiver cannot interpret the message headers marked with MustUnderstand, the message is not processed and an exception is thrown.

  Verifies whether all the message headers marked with MustUnderstand have been properly interpreted and processed.

  true if the recipients specified by have properly interpreted and processed all the message headers marked with MustUnderstand; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `System.ParamArray`

  If the message receiver cannot interpret the message headers marked with MustUnderstand, the message is not processed and an exception is thrown.

  Verifies whether the specified recipients have properly interpreted and processed all the message headers marked with MustUnderstand.

  true if the recipients specified by have properly interpreted and processed all the message headers marked with MustUnderstand; otherwise, false.

  The targeted recipient of the message header.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Inserts a message header into the collection at the specified index.

  A message header to insert.
- Property
  4.0.0.0
  System.ServiceModel.Channels.MessageHeaderInfo `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Xml.UniqueId To be added.

  This property corresponds to the <MessageID> element described in the WS-Addressing specification.

  Gets or sets the unique ID of the message.

- Property
  4.0.0.0
  System.ServiceModel.Channels.MessageVersion To be added. To be added.

  Gets the SOAP version of the message.

- Property
  4.0.0.0
  System.Xml.UniqueId To be added.

  This property corresponds to the <RelateTo> element described in the WS-Addressing specification.

  Gets the IDs of messages that are related to this message.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Removes all headers with the specified name and namespace from the collection.

  The LocalName of the header XML element. The namespace URI of the header XML element.
- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Removes the message header at the specified index from the collection.

- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added.

  This property corresponds to the <ReplyTo> element described in the WS-Addressing specification.

  Gets or sets the address of the node to which a reply should be sent for a request.

- Method
  4.0.0.0
  System.Void `` To be added.

  Sets the action element of the header.

  A description of how the message should be processed.
- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator for iterating through the collection. This method cannot be inherited.

  An object that can be used to iterate through the collection.

- Property
  4.0.0.0
  System.Uri To be added.

  This property corresponds to the <To> element described in the WS-Addressing specification.

  Gets or sets the destination endpoint of a message.

- Property
  4.0.0.0
  System.ServiceModel.Channels.UnderstoodHeaders To be added.

  If the message receiver cannot interpret the message headers contained in this property, the message is not processed and an exception is thrown.

  Gets all the message headers that must be understood, according to SOAP 1.1/1.2 specification.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the header from the specified location using the specified XML writer.

  An that is used to serialize the header.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the header from the specified location using the specified XML writer.

  An that is used to serialize the header.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the specified header content using the specified XML writer.

  An that is used to serialize the header contents.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the specified header content using the specified XML writer.

  An that is used to serialize the header contents.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the start header using the specified XML writer.

  An that is used to serialize the start header.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the start header using the specified XML writer.

  An that is used to serialize the start header.